2

How to install latest version of Office-UI-React for SPFx v1.0.2 for On-Premise server?

With buildIn React version in SPfx framework v1.0.2 its all okay: enter image description here

I can not use the latest version, what else to use as a framework like Office-UI-React

This is error when installed last version of Office-UI-React: enter image description here

Any help, please?

  • What is the issue you are currently seeing? – user70723 Oct 2 '17 at 19:56
2

The problem here is that newer versions of office-ui-fabric-react are incompatible with the typescript version required by spfx 1.0.2.

You can try this version, it should be supported.

npm -i office-ui-fabric-react@2.20.0 --save

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.